<button (click)="back()" class="button is-back-button"><img class="has-right-margin" src="assets/images/back.png">Retour</button>
<div *ngIf="loading" id="cont" class="container">
	<div class="yellow dot"></div>
	<div class="red dot"></div>
	<div class="blue dot"></div>
	<div class="violet dot"></div>
</div>
<div class="is-flex is-justify-center has-margin-top-5">
    <div *ngIf="error$ | async" class="notification is-danger is-flex is-align-center">
      <button class="delete" (click)="error()"></button>
      <img src="assets/images/ex.png"/>
      <p class="has-margin-left-2">{{errorText}}</p>
      <button class="button error-button has-margin-left-1" (click)="getQuestions()">Relancer</button>
    </div>
</div>
<ng-container *ngIf="display$ | async">
    <div [className]="globals.isMobile ? '' : 'is-flex has-left-margin has-items-center'">
        <div [className]="globals.isMobile ? 'is-flex is-column' : 'is-flex is-column has-right-margin has-mid-width'">
            <form class="is-flex" [formGroup]="createForm">
                <div [className]="globals.isMobile ? 'is-flex is-column is-centered has-margin-bottom-1' : 'is-flex is-centered'">
                    <label for="nameArea">Nom du circuit : <span>*</span></label>
                    <input type="text" id="nameArea" formControlName="name" placeholder="Nom du circuit">
                </div>
                <div class="is-flex is-centered">
                    <label for="moduleArea">Matière : <span>*</span></label>
                    <select (ngModelChange)="refactoList()" id="moduleArea" [className]="globals.isMobile ? 'has-margin-bottom-2 has-margin-top-2' : 'has-margin-bottom-2 has-margin-top-2 fixed-size'" formControlName="module">
                        <option *ngFor="let module of modules" [ngValue]="module.value">
                            {{ module.text }}
                        </option>
                    </select>
                </div>
                <div class="is-flex is-centered">
                    <label for="moduleArea">Type de scène : <span>*</span></label>
                    <select id="moduleArea" [className]="globals.isMobile ? 'has-margin-bottom-2 has-margin-top-2' : 'has-margin-bottom-2 has-margin-top-2 fixed-size'" formControlName="scene_uuid">
                        <option disabled [ngValue]="null">---- Pas choisi ----</option>
                        <option *ngFor="let scene of scenes" [ngValue]="scene.uuid">
                            {{ scene.name }}
                        </option>
                    </select>
                </div>
                <div [className]="globals.isMobile ? 'is-flex is-centered is-column' : 'is-flex is-centered'">
                    <label for="pictureNameArea" [className]="globals.isMobile ? 'test size-mobile has-margin-bottom-2' : 'test size-destkop'">Choisir une image <span>*</span></label>
                    <input type="file" (change)="upload($event)" id="pictureNameArea" class="test2" formControlName="pictureName">
                    <label class="has-margin-top-1">{{nameImg}}</label>
                </div>
                <div class="is-flex is-centered">
                    <img [className]="globals.isMobile ? 'has-margin-top-2 is-img-preview-mobile' : 'is-img-preview has-margin-top-2'" id="blah" [src]="preview">
                </div>
                <button class="button has-margin-top-2 default-style is-rooms-button" (click)="openModal()" *ngIf="globals.isMobile">Gérer les salles</button>
                
                <div class="is-flex is-centered has-margin-top-2">
                    <button class="button default-style is-black-button" #SubmitButton *ngIf="createForm.valid" type="submit" (click)="createCircuit()">Valider</button>
                    <div *ngIf="failure" class="notification is-danger has-left-margin is-flex is-centered">
                        <button (click)="fail()" class="delete"></button>
                        <img src="assets/images/ex.png"/>
                        <p class="has-left-margin">{{textError}}</p>
                    </div>
                </div>
            </form>
        </div>
    
        <div *ngIf="!globals.isMobile" class="is-flex is-column has-left-margin has-mid-width has-right-margin">
            <nav class="panel has-width">
                <p class="panel-heading">
                    Ajouter des salles au circuit
                </p>
                <div class="is-flex flex-column panel-block">
                    <p class="control is-flex has-items-center">
                        <input id="search" #Search (input)="refresh()" class="input" type="search" placeholder="Rechercher">
                    </p>
                </div>
                <div class="has-overflow unselectable">
                    <div *ngFor="let elt of listRoomsDisplayed; let i = index" [style.backgroundColor]="elt.background" [style.color]="elt.text" (click)="chooseQuestion(i)" class="panel-block has-items-center space-around">
                        <p class="is-name">{{elt.name}}</p>
                        <p>{{elt.time}}</p>
                    </div>
                </div>
            </nav>
        </div>
    </div>
    <div #Rooms class="modal">
        <div class="modal-background"></div>
        <div class="modal-card">
          <section class="modal-card-body is-flex is-column">
            <button class="delete self" (click)="close()" aria-label="close"></button>
            <nav class="panel has-width">
                <p class="panel-heading">
                    Ajouter des salles au circuit
                </p>
                <div class="is-flex flex-column panel-block">
                    <p class="control is-flex has-items-center">
                        <input id="search" #Search (input)="refresh()" class="input" type="search" placeholder="Rechercher">
                    </p>
                </div>
                <div class="has-overflow unselectable">
                    <div *ngFor="let elt of listRoomsDisplayed; let i = index" [style.backgroundColor]="elt.background" [style.color]="elt.text" (click)="chooseQuestion(i)" class="panel-block has-items-center space-around">
                        <p class="is-name">{{elt.name}}</p>
                        <p>{{elt.time}}</p>
                    </div>
                </div>
            </nav>
          </section>
        </div>
    </div>
</ng-container>